<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_PayrollsWagesAndCompensationSGA" xlink:label="PayrollsWagesAndCompensationSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_KawadaTadahiroMember" xlink:label="KawadaTadahiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_WatanabeSatoruMember" xlink:label="WatanabeSatoruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_KawadaTakuyaMember" xlink:label="KawadaTakuyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_MiyataKensakuMember" xlink:label="MiyataKensakuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_YamakawaTakahisaMember" xlink:label="YamakawaTakahisaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_TakakuwaKoichiMember" xlink:label="TakakuwaKoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_OkadaToshinariMember" xlink:label="OkadaToshinariMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_FukuchiKeikoMember" xlink:label="FukuchiKeikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" xlink:label="DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_SteelStructureReportableSegmentsMember" xlink:label="SteelStructureReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_EngineeringReportableSegmentsMember" xlink:label="EngineeringReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_ArchitectureReportableSegmentsMember" xlink:label="ArchitectureReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_SolutionReportableSegmentsMember" xlink:label="SolutionReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:label xlink:type="resource" xlink:label="label_CumulativeEffectsOfChangesInAccountingPolicies" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_CumulativeEffectsOfChangesInAccountingPolicies">Cumulative effects of changes in accounting policies</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="label_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalance" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalance">Restated balance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalance" xlink:to="label_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_ReferenceToOtherInformationStrategyHumanCapital" xlink:label="ReferenceToOtherInformationStrategyHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E21955-000_2023-03-31_01_2023-06-30.xsd#jpcrp030000-asr_E21955-000_TakagiShigeoMember" xlink:label="TakagiShigeoMember" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries">Decrease (Increase) due to purchase of treasury shares from consolidated subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" xlink:to="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries_2">Decrease (Increase) due to purchase of treasury shares from consolidated subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries" xlink:to="label_DecreaseIncreaseDueToPurchaseOfTreasurySharesFromConsolidatedSubsidiaries_2" />
    <link:label xlink:type="resource" xlink:label="label_PayrollsWagesAndCompensationSGA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PayrollsWagesAndCompensationSGA">Payrolls, wages, and compensation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PayrollsWagesAndCompensationSGA" xlink:to="label_PayrollsWagesAndCompensationSGA" />
    <link:label xlink:type="resource" xlink:label="label_PayrollsWagesAndCompensationSGA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PayrollsWagesAndCompensationSGA_2">Payrolls, wages, and compensation-SGA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PayrollsWagesAndCompensationSGA" xlink:to="label_PayrollsWagesAndCompensationSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares, Details of deemed holdings of shares held for purposes other than pure investment, Largest holding company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfDeemedHoldingsOfSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares, Details of specified investment shares held for purposes other than pure investment, Largest holding company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentLargestHoldingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_SteelStructureReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SteelStructureReportableSegmentsMember">Steel structure</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SteelStructureReportableSegmentsMember" xlink:to="label_SteelStructureReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_SteelStructureReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SteelStructureReportableSegmentsMember_2">Steel structure, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SteelStructureReportableSegmentsMember" xlink:to="label_SteelStructureReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_EngineeringReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EngineeringReportableSegmentsMember">Engineering</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EngineeringReportableSegmentsMember" xlink:to="label_EngineeringReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_EngineeringReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EngineeringReportableSegmentsMember_2">Engineering, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EngineeringReportableSegmentsMember" xlink:to="label_EngineeringReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ArchitectureReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ArchitectureReportableSegmentsMember">Architecture</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ArchitectureReportableSegmentsMember" xlink:to="label_ArchitectureReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_ArchitectureReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ArchitectureReportableSegmentsMember_2">Architecture, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ArchitectureReportableSegmentsMember" xlink:to="label_ArchitectureReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SolutionReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SolutionReportableSegmentsMember">Solution</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SolutionReportableSegmentsMember" xlink:to="label_SolutionReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_SolutionReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SolutionReportableSegmentsMember_2">Solution,Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SolutionReportableSegmentsMember" xlink:to="label_SolutionReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">Governance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">Governance [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">Policy on human resource development and improvement of internal environment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategyHumanCapital_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategyHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategyHumanCapital">Reference to other information, Strategy, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategyHumanCapital" xlink:to="label_ReferenceToOtherInformationStrategyHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">Risk management [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital">Reference to other information, Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_KawadaTadahiroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KawadaTadahiroMember">Kawada, Tadahiro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawadaTadahiroMember" xlink:to="label_KawadaTadahiroMember" />
    <link:label xlink:type="resource" xlink:label="label_KawadaTadahiroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KawadaTadahiroMember_2">Kawada, Tadahiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawadaTadahiroMember" xlink:to="label_KawadaTadahiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_WatanabeSatoruMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_WatanabeSatoruMember">Watanabe, Satoru [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WatanabeSatoruMember" xlink:to="label_WatanabeSatoruMember" />
    <link:label xlink:type="resource" xlink:label="label_WatanabeSatoruMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_WatanabeSatoruMember_2">Watanabe, Satoru</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WatanabeSatoruMember" xlink:to="label_WatanabeSatoruMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KawadaTakuyaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KawadaTakuyaMember">Kawada, Takuya [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawadaTakuyaMember" xlink:to="label_KawadaTakuyaMember" />
    <link:label xlink:type="resource" xlink:label="label_KawadaTakuyaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KawadaTakuyaMember_2">Kawada, Takuya</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawadaTakuyaMember" xlink:to="label_KawadaTakuyaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiyataKensakuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiyataKensakuMember">Miyata, Kensaku</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyataKensakuMember" xlink:to="label_MiyataKensakuMember" />
    <link:label xlink:type="resource" xlink:label="label_MiyataKensakuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiyataKensakuMember_2">Miyata, Kensaku [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiyataKensakuMember" xlink:to="label_MiyataKensakuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YamakawaTakahisaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YamakawaTakahisaMember">Yamakawa, Takahisa [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamakawaTakahisaMember" xlink:to="label_YamakawaTakahisaMember" />
    <link:label xlink:type="resource" xlink:label="label_YamakawaTakahisaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YamakawaTakahisaMember_2">Yamakawa, Takahisa</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamakawaTakahisaMember" xlink:to="label_YamakawaTakahisaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TakakuwaKoichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TakakuwaKoichiMember">Takakuwa, Koichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakakuwaKoichiMember" xlink:to="label_TakakuwaKoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_TakakuwaKoichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TakakuwaKoichiMember_2">Takakuwa, Koichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakakuwaKoichiMember" xlink:to="label_TakakuwaKoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OkadaToshinariMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OkadaToshinariMember">Okada, Toshinari</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OkadaToshinariMember" xlink:to="label_OkadaToshinariMember" />
    <link:label xlink:type="resource" xlink:label="label_OkadaToshinariMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OkadaToshinariMember_2">Okada, Toshinari [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OkadaToshinariMember" xlink:to="label_OkadaToshinariMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FukuchiKeikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FukuchiKeikoMember">Fukuchi, Keiko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FukuchiKeikoMember" xlink:to="label_FukuchiKeikoMember" />
    <link:label xlink:type="resource" xlink:label="label_FukuchiKeikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FukuchiKeikoMember_2">Fukuchi, Keiko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FukuchiKeikoMember" xlink:to="label_FukuchiKeikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TakagiShigeoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TakagiShigeoMember">Takagi, Shigeo [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakagiShigeoMember" xlink:to="label_TakagiShigeoMember" />
    <link:label xlink:type="resource" xlink:label="label_TakagiShigeoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TakagiShigeoMember_2">Takagi, Shigeo</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakagiShigeoMember" xlink:to="label_TakagiShigeoMember_2" />
  </link:labelLink>
</link:linkbase>